Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.application.configuration
Enum ConfigurationItemSource

    java.lang.Object
      java.lang.Enum<ConfigurationItemSource>
          org.richfaces.application.configuration.ConfigurationItemSource

All Implemented Interfaces:
  Serializable, Comparable<ConfigurationItemSource>

    public enum ConfigurationItemSource

extends Enum<ConfigurationItemSource>

Author:
  Nick Belaevski

Enum Constant Summary
`contextInitParameter`
`defaultSource`
`webEnvironmentEntry`

Method Summary
`static ConfigurationItemSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConfigurationItemSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### defaultSource

    public static final ConfigurationItemSource defaultSource

### contextInitParameter

    public static final ConfigurationItemSource contextInitParameter

### webEnvironmentEntry

    public static final ConfigurationItemSource webEnvironmentEntry

Method Detail

### values

    public static ConfigurationItemSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConfigurationItemSource c : ConfigurationItemSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConfigurationItemSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.